Subject: Re: bug#6027: 23.1.96; negative arg to pcomplete-arg broken

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Jul 2011 17:46:30 -0400

Leo wrote:

> Is pcomplete-arg broken? If the INDEX is negative, it always return nil
> (I examine this in a edebug process during which (pcomplete-arg 1)
> returns correct value). The body of the function does not seem to
> contain any code handling negative INDEX though the doc string however
> describes exact behaviour of negative INDEX.

Do you have an example of an actual problem? It basically does

(nth (- pcomplete-index index) pcomplete-args)

which looks fine to me. positive/negative indices are intepreted as
offsets to pcomplete-index, which is what the doc says.